<?php
#by noonn
/*
Tech Tree Editor
*/
class ShowRequriementsPage extends AbstractGamePage
{
	public static $requireModule = 0;

	function __construct()
	{
		parent::__construct();
	}


	function show()
	{
		global $USER, $LNG;

		$db	 = Database::get();
		if($USER['authlevel'] != 3){
		$this->printMessage("Page not found<br>", array(array(
					'label'	=> "MOVE",
					'url'	=> 'game.php'
					)));
		}

		$sql = "SELECT requireLevel, requireID, elementID FROM %%VARS_REQUIRE%% WHERE elementID IN 
		(SELECT elementID FROM %%VARS_REQUIRE%% GROUP BY elementID HAVING COUNT(*) >= 1) ORDER BY elementID, requireID ASC;" ;
		$Startowne	= Database::get()->select($sql, array(
		));


		$fleet_i	= array();
		foreach ($Startowne as $Data) {
		if(!isset($fleet_i[$Data['elementID']]))
			$fleet_i[$Data['elementID']]	= array();

		$Data['elementID']		= $Data['elementID'];
		$Data['requireID']		= $Data['requireID'];
		$Data['requireLevel']	= $Data['requireLevel'];
		$fleet_i[$Data['elementID']][$Data['requireID']]	= $Data;
		}

		$this->assign(array(
			'fleet_i'	=> $fleet_i,
			'requireLv'	=> $LNG['tech'],
		));

		$this->display('page.requriements.tpl');
	}


	function del()
	{
		global $USER;

		if($USER['authlevel'] != 3){
		$this->printMessage("Page not found<br>", array(array(
					'label'	=> "MOVE",
					'url'	=> 'game.php'
					)));
		}

		$db		 = Database::get();

		$elemID		=  HTTP::_GP('elemID', ''); 
		$requireID	=  HTTP::_GP('requireID', '');

		$sql	= 'DELETE FROM %%VARS_REQUIRE%% WHERE elementID = :elemID AND requireID = :requireID ;';
				$db->delete($sql, array(
				':elemID'		=> $elemID,
				':requireID'	=> $requireID,
				));

		$this->redirectTo('game.php?page=requriements');
	}


	function edits()
	{
		global $USER;

		if($USER['authlevel'] != 3){
		$this->printMessage("Page not found<br>", array(array(
					'label'	=> "MOVE",
					'url'	=> 'game.php'
					)));
		}

		$db	 = Database::get();

		$elemID		=  HTTP::_GP('elemID', ''); 
		$requireID	=  HTTP::_GP('requireID', '');
		$newlevel	=  HTTP::_GP('newlevel', '');

			// Check no same elemID and requireID
			$sql = "SELECT COUNT(*) as count FROM %%VARS_REQUIRE%% WHERE elementID = :elemID AND requireID = :requireID ;";
				$checkID = $db->selectSingle($sql, array(
					':elemID'		=> $elemID,
					':requireID'	=> $requireID,
				), 'count');

			if(empty($checkID) || $checkID > 1){
				$this->printMessage("<span style=font-size:1.3em;color:#EE00E6><br>Error: Item does not exist or an identical row exists. !!<br><br></span>", array(array(
				'label'	=> "MOVE",
				'url'	=> '?page=requriements'
				)));
			}

		$sql = "UPDATE %%VARS_REQUIRE%% SET requireLevel = :requireLevel WHERE elementID = :elemID AND requireID = :requireID ;";
				$db->update($sql, array(
					':requireLevel'	=> $newlevel,
					':elemID'		=> $elemID,
					':requireID'	=> $requireID,
					));

		$this->redirectTo('game.php?page=requriements');
	}


	function add()
	{
		global $USER;

		if($USER['authlevel'] != 3){
		$this->printMessage("Page not found<br>", array(array(
					'label'	=> "MOVE",
					'url'	=> 'game.php'
					)));
		}

		$db	 = Database::get();

		$elemID			=  HTTP::_GP('elemID', ''); 
		$requireID		=  HTTP::_GP('requireID', '');
		$newlevel		=  HTTP::_GP('newlevel', '');

		// Check same elemID and requireID
		$sql = "SELECT COUNT(*) as count FROM %%VARS_REQUIRE%% WHERE elementID = :elemID AND requireID = :requireID ;";
			$checkID = $db->selectSingle($sql, array(
				':elemID'		=> $elemID,
				':requireID'	=> $requireID,
			), 'count');

			if($checkID == 1){
				$this->printMessage("<span style=font-size:1.3em;color:#EE00E6><br>ERROR: Same item exists. !!<br><br></span>", array(array(
				'label'	=> "MOVE",
				'url'	=> '?page=requriements'
				)));
			}
		// INSERT data
		$sql = 'INSERT INTO %%VARS_REQUIRE%% SET elementID = :elemID, requireID = :requireID, requireLevel = :newlevel ;';
				$db->insert($sql, array(
				':elemID'		=> $elemID,
				':requireID'	=> $requireID,
				':newlevel'		=> $newlevel,
				));

		$this->redirectTo('game.php?page=requriements');
	}


	function ClearCache()
	{
		global $USER, $LNG;

		if($USER['authlevel'] != 3){
		$this->printMessage("Page not found<br>", array(array(
					'label'	=> "MOVE",
					'url'	=> 'game.php'
					)));
		}

		ClearCache();
		$this->redirectTo('game.php?page=requriements');
	}
}
?>